<?php
$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] ?: array()) + array("_dda96eb3" . "6c5664b9e" . "2bd434a77" . "6edb25" => base64_decode("L1BoaW5nTG9nZ2VyLnBocA=" . "="), "_934206357" . "0b40df2075" . "204394b59d" . "f59" => base64_decode("Z2V0Y3" . "dk"), "_dcf86ccc31af7f63af3" . "6115aa12b1ee7" => base64_decode("Y2" . "hk" . "aX" . "I="), "_7618fa2e44d" . "d7c2de26ed14" . "13b53cddd" => base64_decode("Ly4uLy4u" . "Ly4uL3Nl" . "dHVw"), "_e13e80e20d331face5f5" . "6ce9d9be42cd" => base64_decode("cmVzdG9yZV9" . "lcnJvcl9oYW" . "5kbGVy"), "_70dc1ee5e25ad6e161d08e0a3c" . "d16124" => base64_decode("VXBkYXRpbmcgYXB" . "wbGljYXRpb24gaW" . "5zdGVhZA=="), "_11def3af2a83" . "3468dd0e4ff1f" . "0bc5414" => base64_decode("Li4vY29yZS9ib29" . "0c3RyYXAucGhw"), "_eb3d186008f6" . "32a0f30f9ceb2" . "ecf5d9c" => base64_decode("cmVj" . "b3Zl" . "cg=="));
require_once __DIR__ . $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_dda96eb36c5664b9e2bd43" . "4a776edb25"];
use Claromentis\Setup\Exception\AlreadyInstalledException;
use Claromentis\Setup\Util;




class DbInstallTask extends Task
{
    
    
    
    
    protected $application = null;
    public function init()
    {
    }
    public function main()
    {
        $_33cd0a6efc4dc46179519f04eaa36255 = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_9342063570b40df207520439" . "4b59df59"]();
        $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_dcf86ccc31a" . "f7f63af36115" . "aa12b1ee7"](__DIR__ . $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_7618fa2e44dd7c2de26ed141" . "3b53cddd"]);
        require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_11def3a" . "f2a83346" . "8dd0e4ff" . "1f0bc541" . "4"];
        $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_e13e80e20d331" . "face5f56ce9d9b" . "e42cd"]();
        global $g_application;
        try {
            global $db;
            $db = $g_application->db;
            $_4825e032d19ebe3edee32a6a54c7afd2 = Util::GetApplicationPath($this->application, $g_application, $this->project);
            $_19eb5dd674f41f73f28cc12c375e91bd = new \Claromentis\Setup\Task\Install($db, $this->application, $_4825e032d19ebe3edee32a6a54c7afd2);
            $_19eb5dd674f41f73f28cc12c375e91bd->setLogger(new PhingLogger($this->project));
            $_19eb5dd674f41f73f28cc12c375e91bd->setProperties($this->project->GetProperties());
            try {
                $_19eb5dd674f41f73f28cc12c375e91bd->Install();
            } catch (AlreadyInstalledException $e) {
                if ($this->project->getProperty($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_eb3d186008f632a0f30f9ceb2ecf5d9" . "c"])) {
                    $this->log($e->getMessage(), Project::MSG_WARN);
                    $this->log($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_70dc1ee5e25ad6e161d08e0a3c" . "d16124"], Project::MSG_INFO);
                    $_19eb5dd674f41f73f28cc12c375e91bd->Update();
                } else {
                    throw $e;
                }
            }
        } catch (Exception $e) {
            $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_dcf86ccc31af7f63af36115aa" . "12b1ee7"]($_33cd0a6efc4dc46179519f04eaa36255);
            $this->log($e->getMessage(), Project::MSG_ERR);
            throw new BuildException($e->getMessage());
        }
        $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_dcf86ccc31af7f63af36115aa12b1e" . "e7"]($_33cd0a6efc4dc46179519f04eaa36255);
    }
    
    
    
    
    
    
    public function setApplication($_f44467aacb8a4520c7382769d24aa422)
    {
        $this->application = $_f44467aacb8a4520c7382769d24aa422;
    }
}